diff -Nru libspatialite-5.1.0-orig/config.h libspatialite-5.1.0-patched/config.h
--- libspatialite-5.1.0-orig/config.h	2023-08-04 03:51:40.000000000 -0400
+++ libspatialite-5.1.0-patched/config.h	2023-09-14 08:26:03.843969248 -0400
@@ -65,7 +65,7 @@
 /* Define to 1 if you have the `memset' function. */
 #define HAVE_MEMSET 1
 
-/* Define to 1 if you have the <minizip/unzip.h> header file. */
+/* Define to 1 if you have the <unzip.h> header file. */
 #define HAVE_MINIZIP_UNZIP_H 1
 
 /* Define to 1 if you have the <proj_api.h> header file. */
diff -Nru libspatialite-5.1.0-orig/config.h.in libspatialite-5.1.0-patched/config.h.in
--- libspatialite-5.1.0-orig/config.h.in	2023-08-04 03:51:40.000000000 -0400
+++ libspatialite-5.1.0-patched/config.h.in	2023-09-14 08:26:03.843969248 -0400
@@ -64,7 +64,7 @@
 /* Define to 1 if you have the `memset' function. */
 #undef HAVE_MEMSET
 
-/* Define to 1 if you have the <minizip/unzip.h> header file. */
+/* Define to 1 if you have the <unzip.h> header file. */
 #undef HAVE_MINIZIP_UNZIP_H
 
 /* Define to 1 if you have the <proj_api.h> header file. */
diff -Nru libspatialite-5.1.0-orig/configure.ac libspatialite-5.1.0-patched/configure.ac
--- libspatialite-5.1.0-orig/configure.ac	2023-08-04 03:51:40.000000000 -0400
+++ libspatialite-5.1.0-patched/configure.ac	2023-09-14 08:26:03.843969248 -0400
@@ -332,13 +332,13 @@
   CPPFLAGS_SAVE="$CPPFLAGS"
   CPPFLAGS="$GEOS_CFLAGS"
   AC_CHECK_HEADERS([geos_c.h],, [AC_MSG_ERROR([could not find geos_c.h - you may need to specify the directory of a geos-config file using --with-geosconfig])])
-  CPPFLAGS="$CPPFLAGS_SAVE"	
+  CPPFLAGS="$CPPFLAGS_SAVE -I`$GEOSCONFIG --includes`"
   # Ensure we can link against libgeos_c
   LIBS_SAVE="$LIBS"
-  LIBS="$GEOS_LDFLAGS"
+  LIBS="$GEOS_LDFLAGS `$GEOSCONFIG --clibs`"
   AC_SEARCH_LIBS(GEOSCoveredBy,geos_c,,AC_MSG_ERROR([could not find libgeos_c (or obsolete 'libgeos_c' < v.3.3.0 found) - you may need to specify the directory of a geos-config file using --with-geosconfig]))
   LIBS="$LIBS_SAVE"
-  LIBS="$LIBS $GEOS_LDFLAGS -lgeos_c"
+  LIBS="$LIBS $GEOS_LDFLAGS `$GEOSCONFIG --clibs`"
 
   #-----------------------------------------------------------------------
   #   --enable-controlpoints
@@ -450,7 +450,7 @@
   [--enable-minizip], [enables MiniZIP inclusion [default=yes]])],
   [], [enable_minizip=yes])
 if test x"$enable_minizip" != "xno"; then
-  AC_CHECK_HEADERS(minizip/unzip.h,, [AC_MSG_ERROR([cannot find minizip/unzip.h, bailing out])])
+  AC_CHECK_HEADERS(unzip.h,, [AC_MSG_ERROR([cannot find unzip.h, bailing out])])
   AC_SEARCH_LIBS(unzLocateFile, minizip,,AC_MSG_ERROR(['libminizip' is required but it doesn't seem to be installed on this system.]))
   AC_DEFINE(ENABLE_MINIZIP)
 fi
diff -Nru libspatialite-5.1.0-orig/fakeconfig.h libspatialite-5.1.0-patched/fakeconfig.h
--- libspatialite-5.1.0-orig/fakeconfig.h	2023-08-04 03:51:40.000000000 -0400
+++ libspatialite-5.1.0-patched/fakeconfig.h	2023-09-14 08:26:03.843969248 -0400
@@ -95,7 +95,7 @@
 /* Define to 1 if you have the `memset' function. */
 #define HAVE_MEMSET 1
 
-/* Define to 1 if you have the <minizip/unzip.h> header file. */
+/* Define to 1 if you have the <unzip.h> header file. */
 #define HAVE_MINIZIP_UNZIP_H 1
 
 /* Define to 1 if you have the <proj_api.h> header file. */
diff -Nru libspatialite-5.1.0-orig/fakeconfig.h.in libspatialite-5.1.0-patched/fakeconfig.h.in
--- libspatialite-5.1.0-orig/fakeconfig.h.in	2023-08-04 03:51:40.000000000 -0400
+++ libspatialite-5.1.0-patched/fakeconfig.h.in	2023-09-14 08:26:03.843969248 -0400
@@ -94,7 +94,7 @@
 /* Define to 1 if you have the `memset' function. */
 #undef HAVE_MEMSET
 
-/* Define to 1 if you have the <minizip/unzip.h> header file. */
+/* Define to 1 if you have the <unzip.h> header file. */
 #undef HAVE_MINIZIP_UNZIP_H
 
 /* Define to 1 if you have the <proj_api.h> header file. */
diff -Nru libspatialite-5.1.0-orig/src/shapefiles/shapefiles.c libspatialite-5.1.0-patched/src/shapefiles/shapefiles.c
--- libspatialite-5.1.0-orig/src/shapefiles/shapefiles.c	2023-08-04 03:51:40.000000000 -0400
+++ libspatialite-5.1.0-patched/src/shapefiles/shapefiles.c	2023-09-14 08:26:03.843969248 -0400
@@ -80,7 +80,7 @@
 #endif
 
 #ifdef ENABLE_MINIZIP		/* MINIZIP is enabled */
-#include <minizip/unzip.h>
+#include <unzip.h>
 #endif
 
 #if defined(_WIN32) && !defined(__MINGW32__)
diff -Nru libspatialite-5.1.0-orig/test/scandir4win.h libspatialite-5.1.0-patched/test/scandir4win.h
--- libspatialite-5.1.0-orig/test/scandir4win.h	2023-08-04 03:51:40.000000000 -0400
+++ libspatialite-5.1.0-patched/test/scandir4win.h	2023-09-14 08:26:03.843969248 -0400
@@ -11,7 +11,7 @@
 
 #ifdef _WIN32
 
-#include <Windows.h>
+#include <windows.h>
 #include <stdio.h>
 #include <sys/types.h>
 
